| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes

# IG::Num::OptFileAnalysisClient Class Reference

File analysis client. Passes direct analysis request to the server and gets analysis results from it. More...

Inheritance diagram for IG::Num::OptFileAnalysisClient:
[legend]
Collaboration diagram for IG::Num::OptFileAnalysisClient:
[legend]

List of all members.

## Public Member Functions
| OptFileAnalysisClient (string directoryPath)
| Constructs optimization file client.
## Protected Member Functions
virtual OptFileManager | CreateOptFileManager (string directoryPath)
| Creates and returns an appropriate file manager for optimization file client/server. This method must be overridden in the derived classes.
## Properties
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock.
OptFileManager | FileManager`[get, set]`
| Optimization client/server file manager used by the current analysis server.
AnalysisResults | AnalysisPoint`[get, set]`
| Last analysis request or results.
## Private Member Functions
| OptFileAnalysisClient ()
| Prevent calling argument-less constructor.
## Private Attributes
object | _mainLock = new object()
OptFileManager | _fileManager
AnalysisResults | _analysisPoint

## Detailed Description

File analysis client. Passes direct analysis request to the server and gets analysis results from it.

WARNING: This module is taken from Dragonfly opt. server and adapted for purpose of some projects. If necessary to further develop, synchronize (& possibly merge) with Dragonfly, otherwise there will be problems with consistent development of both branches. WARNING: Only a part of file analysis client is taken from Dragonfly, be careful with sync. (the best way is to do modifications in Dragonfly's code and then transfer them to IGLib).

$A Igor jul08 Mar11;

## Constructor & Destructor Documentation

IG::Num::OptFileAnalysisClient::OptFileAnalysisClient | ( |  | ) | `[inline, private]`

Prevent calling argument-less constructor.

IG::Num::OptFileAnalysisClient::OptFileAnalysisClient | ( | string | directoryPath | ) | `[inline]`

Constructs optimization file client.

Parameters:

  directoryPath | Directory where data exchange and message files are located.

## Member Function Documentation

virtual OptFileManager IG::Num::OptFileAnalysisClient::CreateOptFileManager | ( | string | directoryPath | ) | `[inline, protected, virtual]`

Creates and returns an appropriate file manager for optimization file client/server. This method must be overridden in the derived classes.

Parameters:

  directoryPath | Directory where data exchange and message files are located.

## Member Data Documentation

object IG::Num::OptFileAnalysisClient::_mainLock = new object()`[private]`

OptFileManager IG::Num::OptFileAnalysisClient::_fileManager`[private]`

AnalysisResults IG::Num::OptFileAnalysisClient::_analysisPoint`[private]`

## Property Documentation

object IG::Num::OptFileAnalysisClient::Lock`[get]`

This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock.

Reimplemented from IG::Num::AnalysisBase.

OptFileManager IG::Num::OptFileAnalysisClient::FileManager`[get, set]`

Optimization client/server file manager used by the current analysis server.

AnalysisResults IG::Num::OptFileAnalysisClient::AnalysisPoint`[get, set]`

Last analysis request or results.

The documentation for this class was generated from the following file:

- OptFileAnalysisClient.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events